<?php

class onDiscordContentNewsAfterAdd extends cmsAction {

    public function run($item){

		if($item['is_pub'] == 1 && $item['is_private'] != 1){
			require_once(PATH.'/system/controllers/discord/client.php');
			require_once(PATH.'/system/controllers/discord/embed.php');
			
			$config = cmsConfig::getInstance();
			$options = $this->getOptions();
			$item['user']['avatar'] = $this->model->yamlToArray($item['user']['avatar']);
			$avatar = isset($item['user']['avatar']['small']) ? $item['user']['avatar']['small'] : 'default/avatar_small.jpg';
			$item['photo'] = $this->model->yamlToArray($item['photo']);
			$date_pub = substr($item['date_pub'], 0, 10);
			$username = $options['hook_name'];
			if($options['add_date']) $username = $username.'('.$date_pub.')';
			
			$urls = explode(PHP_EOL, $options['hook_url']);
			if(count($urls) > 0)
			foreach($urls as $url){
				$webhook = new Client($url);
				$embed = new Embed();
					
				$embed->title($item['title']);
				$embed->description($item['teaser']);
				$embed->url($config->host.'/news/'.$item['slug'].'.html');
				$embed->color($options['hook_color']);	
				$embed->thumbnail($config->host.'/upload/'.$item['photo']['normal']);	
				$embed->author($item['user']['nickname'], $config->host.'/users/'.$item['user']['id'], $config->host.'/upload/'.$avatar);
				
				$webhook->username($username)->avatar($config->host.$options['hook_logo'])->message($options['hook_text'])->embed($embed)->send();
			}
			
			return $item;
		}
    }

}
